package de.unikoblenz.fgbks.base.utils.boundary.checker;

import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Test;

@QuarkusTest
class CheckStringNotInContactTest extends AbstractStringCheckerTest {

  @Test
  void check() {
    super.checker = CheckStringNotContact.getInstance();
    doStringCheck("\"a\"", "\"a\"", false);
    doStringCheck("\"a\"", "\"b\"", true);
    doStringCheck("\"a\"", "not(\"a\")", true);
    doStringCheck("\"a\"", "not(\"b\")", false);
    doStringCheck("\"a\"", "\"a\",\"b\"", false);
    doStringCheck("\"a\"", "\"c\",\"b\"", true);
    doStringCheck("\"a\"", "not(\"a\",\"b\")", false);
    doStringCheck("\"a\"", "not(\"c\",\"b\")", false);
  }

  @Override
  protected boolean checkBothWays() {
    return true;
  }
}
